t = int(input())

for _ in range(t):
    n = int(input())
    l = list(map(int, input().split()))
    l2 = l.copy()
    l2.sort()
    #print(l2)
    m4 = l2[0]
    m3 = l2[1]
    m2 = l2[2]
    m1 = l2[3]
    #s = [m1,m3,m4,m2]
    #print(s)
    if m1+m4>=m3*2 and m2+m3>=m4*2:
        print('YES')
    else:
        print('NO')
